package common.block;

import common.init.Items;
import common.item.CheatTab;
import common.item.Item;
import common.material.Material;
import common.rng.Random;
import common.world.State;

public class BlockClay extends Block
{
    public BlockClay()
    {
        super(Material.clay);
        this.setTab(CheatTab.tabNature);
    }

    /**
     * Get the Item that this Block should drop when harvested.
     */
    public Item getItemDropped(State state, Random rand, int fortune)
    {
        return Items.clay_ball;
    }

    /**
     * Returns the quantity of items to drop on block destruction.
     */
    public int quantityDropped(Random random)
    {
        return 4;
    }
}
